org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure

## Class PDUserProperty

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDUserProperty

All Implemented Interfaces:
  COSObjectable

    public class PDUserProperty
    extends PDDictionaryWrapper

A user property.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDUserProperty(COSDictionary dictionary, PDUserAttributeObject userAttributeObject)` Creates a user property with a given dictionary.
`PDUserProperty(PDUserAttributeObject userAttributeObject)` Creates a new user property.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getFormattedValue()` Returns the string for the property value.
`String` `getName()` Returns the property name.
`COSBase` `getValue()` Returns the property value.
`int` `hashCode()`
`boolean` `isHidden()` Shall the property be hidden?
`void` `setFormattedValue(String formattedValue)` Sets the string for the property value.
`void` `setHidden(boolean hidden)` Specifies whether the property shall be hidden.
`void` `setName(String name)` Sets the property name.
`void` `setValue(COSBase value)` Sets the property value.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`getCOSObject`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDUserProperty

    public PDUserProperty(PDUserAttributeObject userAttributeObject)

Creates a new user property.

Parameters:
  `userAttributeObject` - the user attribute object

#### PDUserProperty

    public PDUserProperty(COSDictionary dictionary,
                          PDUserAttributeObject userAttributeObject)

Creates a user property with a given dictionary.

Parameters:
  `dictionary` - the dictionary
  `userAttributeObject` - the user attribute object

### Method Detail

#### getName

    public String getName()

Returns the property name.

Returns:
  the property name

#### setName

    public void setName(String name)

Sets the property name.

Parameters:
  `name` - the property name

#### getValue

    public COSBase getValue()

Returns the property value.

Returns:
  the property value

#### setValue

    public void setValue(COSBase value)

Sets the property value.

Parameters:
  `value` - the property value

#### getFormattedValue

    public String getFormattedValue()

Returns the string for the property value.

Returns:
  the string for the property value

#### setFormattedValue

    public void setFormattedValue(String formattedValue)

Sets the string for the property value.

Parameters:
  `formattedValue` - the string for the property value

#### isHidden

    public boolean isHidden()

Shall the property be hidden?

Returns:
  `true` if the property shall be hidden, `false` otherwise

#### setHidden

    public void setHidden(boolean hidden)

Specifies whether the property shall be hidden.

Parameters:
  `hidden` - `true` if the property shall be hidden, `false` otherwise

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `PDDictionaryWrapper`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `PDDictionaryWrapper`